Subject: bug#74235: [PATCH] ; Remove 'nil' from some 'lua-ts-mode' options

From: Eli Zaretskii <[email-masked]>
Date: Fri, 08 Nov 2024 17:24:04 +0200

> From: john muhl <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 08 Nov 2024 08:57:37 -0600
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: john muhl <[email-masked]>
> >> Date: Wed, 06 Nov 2024 15:22:34 -0600
> >> 
> >> * lisp/progmodes/lua-ts-mode.el (lua-ts-luacheck-program):
> >> (lua-ts-inferior-program): Remove 'nil' as it is never a valid
> >> choice.  (Bug#74235)
> >
> > IMO, the use of these options in the code is not clean: if these
> > programs are not installed, the commands which reference these options
> > will signal errors whose diagnostic might not clearly indicate the
> > root cause.  I would like to see a cleaner handling of such
> > contingencies by this mode.  Does this make sense, and if so, would
> > you like to suggest changes to that effect?
> 
> The only idea I’ve come up with so far is showing a warning that
> mentions the incorrectly set option. Does that sound like what you
> have in mind? If not I’d appreciate some more explicit guidance.

How about signaling user-error from the commands that invoke those
programs, when they are missing?